﻿using MySql.Data.MySqlClient;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PoEcoDB.DB
{
    internal class User
    {
        public static MySqlConnection MxPoEDB()
        {
            MySqlConnection conn;
            string myConnectionString;

            myConnectionString = $"server={JSON.Settings.GetdbHost()};port={JSON.Settings.GetdbPort()};uid={JSON.Settings.GetdbUser()};pwd={JSON.Settings.GetdbPass()};database={JSON.Settings.GetdbName()};";
            conn = new MySqlConnection();
            conn.ConnectionString = myConnectionString;
            return conn;
        }

        public static bool CheckUserExists(string user)
        {
            MySqlConnection con = MxPoEDB();
            string cmdText = $"SELECT * FROM poeco_user WHERE account = '{user}'";
            MySqlCommand cmd = new MySqlCommand(cmdText, con);
            con.Open();
            var row = cmd.ExecuteReader();
            if (row.HasRows) { con.Close(); return true; } else { con.Close(); return false; }            
        }

        public static int GetUserID(string user)
        {
            using (var con = MxPoEDB())
            {
                string cmdText = $"SELECT * FROM poeco_user WHERE account = '{user}'";
                MySqlCommand cmd = new MySqlCommand(cmdText, con);
                con.Open();
                var row = cmd.ExecuteReader();
                if (row.HasRows) { row.Read(); return row.GetInt32(0); } else { return 0; }
            }
        }

        public static string GetUserSessionID(string user)
        {
            MySqlConnection con = MxPoEDB();
            string cmdText = $"SELECT * FROM poeco_user WHERE account = '{user}'";
            MySqlCommand cmd = new MySqlCommand(cmdText, con);
            con.Open();
            var row = cmd.ExecuteReader();
            if (row.HasRows) { row.Read(); return row.GetString(3); } else { return "null"; }
        }

        public static int GetUserTabIndex(string user)
        {
            MySqlConnection con = MxPoEDB();
            string cmdText = $"SELECT * FROM poeco_user WHERE account = '{user}'";
            MySqlCommand cmd = new MySqlCommand(cmdText, con);
            con.Open();
            var row = cmd.ExecuteReader();
            if (row.HasRows) { row.Read(); return row.GetInt32(2); } else { return 0; }
        }
    }
}
