﻿using MySql.Data.MySqlClient;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PoEcoDB.DB
{
    internal class Stash
    {
        public static MySqlConnection MxPoEDB()
        {
            MySqlConnection conn;
            string myConnectionString;

            myConnectionString = $"server={JSON.Settings.GetdbHost()};port={JSON.Settings.GetdbPort()};uid={JSON.Settings.GetdbUser()};pwd={JSON.Settings.GetdbPass()};database={JSON.Settings.GetdbName()};;max pool size=200";
            conn = new MySqlConnection();
            conn.ConnectionString = myConnectionString;
            return conn;
        }

        public static int GetClassIDByBase(string ibase)
        {
            MySqlConnection con = MxPoEDB();
            string cmdText = $"SELECT * FROM poeco_bases WHERE name LIKE '%{MySql.Data.MySqlClient.MySqlHelper.EscapeString(ibase)}%'";
            MySqlCommand cmd = new MySqlCommand(cmdText, con);
            con.Open();
            var row = cmd.ExecuteReader();
            if (row.HasRows) { row.Read(); return row.GetInt32(1); } else { return 0; }
        }

        public static string GetClassByID(int iclass)
        {
            using (var con = MxPoEDB())
            {
                string cmdText = $"SELECT * FROM poeco_classes WHERE cid = '{iclass}'";
                MySqlCommand cmd = new MySqlCommand(cmdText, con);
                con.Open();
                var row = cmd.ExecuteReader();
                if (row.HasRows) { row.Read(); return row.GetString(1); } else { return "null"; }
            }

        }

        public static int GetBaseIDByName(string ibase)
        {
            using (var con = MxPoEDB())
            {
                string cmdText = $"SELECT * FROM poeco_bases WHERE name LIKE '%{MySql.Data.MySqlClient.MySqlHelper.EscapeString(ibase)}%'";
                MySqlCommand cmd = new MySqlCommand(cmdText, con);
                con.Open();
                var row = cmd.ExecuteReader();
                if (row.HasRows) { row.Read(); return row.GetInt32(0); } else { return 0; }
            }
        }

        public static void AddItemTable(string cmdlist)
        {
            using (var con = MxPoEDB())
            {
                //string cmdText = $"INSERT INTO poeco_items(uid, cid, bid, uiid, img, txt, b64, ctype, min, max) VALUES ('{uid}','{cid}','{bid}','{uiid}','{img}','{txt}','{b64}','{ctype}','{min}','{max}')";
                MySqlCommand cmd = new MySqlCommand(cmdlist, con);
                con.Open();
                var row = cmd.ExecuteNonQuery();
                con.Close();
            }
        }

        public static void DeleteItems(int userid)
        {
            MySqlConnection con = MxPoEDB();
            string cmdText = $"DELETE FROM poeco_items WHERE uid = '{userid}'";
            MySqlCommand cmd = new MySqlCommand(cmdText, con);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
        }
    }
}
